Gecode::CHB::Storage Class Reference

Object for storing chb information. More...

`#include <chb.hpp>`

## Public Member Functions

template<class View>
| Storage (Home home, ViewArray< View > &x, typename BranchTraits< typename View::VarType >::Merit bm)
| Initialize CHB info.
| ~Storage (void)
| Delete object.
void | bump (void)
| Bump failure count and alpha.
void | update (int i, bool failed)
| Update chb information at position i.
Public Member Functions inherited from Gecode::SharedHandle::Object
| Object (void)
| Initialize.
virtual | ~Object (void)
| Delete shared object.

## Public Attributes

int | n
| Number of chb values.
unsigned long int | nf
| Number of failures.
double | alpha
| Alpha value.
Info * | chb
| CHB information.

## Static Public Attributes

static Support::Mutex | m
| Mutex to synchronize globally shared access.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Object for storing chb information.

Definition at line 59 of file chb.hpp.

## Constructor & Destructor Documentation

## Storage()

template<class View>

Gecode::CHB::Storage::Storage | ( | Home | home,
|  | ViewArray< View > & | x,
|  | typename BranchTraits< typename View::VarType >::Merit | bm )

inline

Initialize CHB info.

Definition at line 266 of file chb.hpp.

## ~Storage()

Gecode::CHB::Storage::~Storage | ( | void |  | ) |

Delete object.

Definition at line 40 of file chb.cpp.

## Member Function Documentation

## bump()

void Gecode::CHB::Storage::bump | ( | void |  | ) |

inline

Bump failure count and alpha.

Definition at line 285 of file chb.hpp.

## update()

void Gecode::CHB::Storage::update | ( | int | i,
|  | bool | failed )

inline

Update chb information at position i.

Definition at line 292 of file chb.hpp.

## Member Data Documentation

## m

Support::Mutex Gecode::CHB::Storage::m

static

Mutex to synchronize globally shared access.

Definition at line 62 of file chb.hpp.

## n

int Gecode::CHB::Storage::n

Number of chb values.

Definition at line 64 of file chb.hpp.

## nf

unsigned long int Gecode::CHB::Storage::nf

Number of failures.

Definition at line 66 of file chb.hpp.

## alpha

double Gecode::CHB::Storage::alpha

Alpha value.

Definition at line 68 of file chb.hpp.

## chb

Info* Gecode::CHB::Storage::chb

CHB information.

Definition at line 70 of file chb.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/branch/chb.hpp
- gecode/kernel/branch/chb.cpp